clang 8.0.0

Functions
HTMLRewrite.cpp File Reference
`#include "clang/Rewrite/Core/HTMLRewrite.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Lex/TokenConcatenation.h"`
`#include "clang/Rewrite/Core/Rewriter.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include "llvm/Support/MemoryBuffer.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <memory>`
Include dependency graph for HTMLRewrite.cpp:

Go to the source code of this file.

## Functions
static void | AddLineNumber (RewriteBuffer &RB, unsigned LineNo, unsigned B, unsigned E)

## Function Documentation

## ◆ AddLineNumber()

static void AddLineNumber | ( | RewriteBuffer & | RB,
|  | unsigned | LineNo,
|  | unsigned | B,
|  | unsigned | E
| ) |  |
| static

Definition at line 210 of file HTMLRewrite.cpp.

References clang::RewriteBuffer::InsertTextBefore().

Referenced by clang::html::AddLineNumbers().